Loading...
Searching...
No Matches
caf::abstract_channel Class Referenceabstract

Interface for all message receivers. More...

`#include <abstract_channel.hpp>`

Inheritance diagram for caf::abstract_channel:

## Public Member Functions

virtual void | enqueue (strong_actor_ptr sender, message_id mid, message content, execution_unit *host=nullptr)=0
| Enqueues a new message without forwarding stack to the channel.
bool | is_abstract_actor () const
bool | is_abstract_group () const
bool | is_actor_decorator () const

## Static Public Attributes

static constexpr int | is_abstract_actor_flag = 0x01000000
static constexpr int | is_abstract_group_flag = 0x02000000
static constexpr int | is_actor_bind_decorator_flag = 0x04000000
static constexpr int | is_actor_dot_decorator_flag = 0x08000000
static constexpr int | is_actor_decorator_mask = 0x0C000000
static constexpr int | is_hidden_flag = 0x10000000

## Protected Member Functions

int | flags () const
void | flags (int new_value)

## Friends

class | abstract_actor
class | abstract_group

## Detailed Description

Interface for all message receivers.

- This interface describes an entity that can receive messages and is implemented by `actor` and `group`.

## Member Function Documentation

## enqueue()

virtual void caf::abstract_channel::enqueue | ( | strong_actor_ptr | sender,
|  | message_id | mid,
|  | message | content,
|  | execution_unit * | host = nullptr )

pure virtual

Enqueues a new message without forwarding stack to the channel.

Implemented in caf::abstract_actor.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/abstract_channel.hpp